#include "waveitem.h"

#ifndef waveitem_c
#define waveitem_c

Waveitem::Waveitem (string new_data) {
  next = NULL;
  prev = NULL;
  data = new_data;
  ommit = false;
  future_ommit = false;
}

Waveitem::Waveitem (string new_data, bool new_ommit) {
  next = NULL;
  prev = NULL;
  data = new_data;
  ommit = new_ommit;
  future_ommit = ommit;
}

Waveitem::~Waveitem () {
  // this will propagate down the list
  if (next != NULL) {
    delete next;
  }
}

#endif
